GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/aarch32-linux-nat.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include "arm-tdep.h"`
`#include "arm-linux-tdep.h"`
`#include "arch/arm-linux.h"`
`#include "aarch32-linux-nat.h"`

Go to the source code of this file.

## Functions
void | aarch32_gp_regcache_supply (struct regcache *regcache, uint32_t *regs, int arm_apcs_32)
void | aarch32_gp_regcache_collect (const struct regcache *regcache, uint32_t *regs, int arm_apcs_32)
void | aarch32_vfp_regcache_supply (struct regcache *regcache, gdb_byte *regs, const int vfp_register_count)
void | aarch32_vfp_regcache_collect (const struct regcache *regcache, gdb_byte *regs, const int vfp_register_count)

## Function Documentation

## ◆ aarch32_gp_regcache_collect()

void aarch32_gp_regcache_collect | ( | const struct regcache * | regcache,
|  | uint32_t * | regs,
|  | int | arm_apcs_32
| ) |  |

Definition at line 57 of file aarch32-linux-nat.c.

References ARM_A1_REGNUM, arm_apcs_32, ARM_CPSR_GREGNUM, ARM_PC_REGNUM, ARM_PS_REGNUM, REG_VALID, regcache_raw_collect(), and regcache_register_status().

Referenced by store_gregs_to_thread(), and store_regs().

## ◆ aarch32_gp_regcache_supply()

void aarch32_gp_regcache_supply | ( | struct regcache * | regcache,
|  | uint32_t * | regs,
|  | int | arm_apcs_32
| ) |  |

Definition at line 31 of file aarch32-linux-nat.c.

References regcache::arch(), ARM_A1_REGNUM, arm_apcs_32, ARM_CPSR_GREGNUM, ARM_PC_REGNUM, ARM_PS_REGNUM, gdbarch_addr_bits_remove(), and regcache_raw_supply().

Referenced by fetch_gregs_from_thread(), and fetch_regs().

## ◆ aarch32_vfp_regcache_collect()

void aarch32_vfp_regcache_collect | ( | const struct regcache * | regcache,
|  | gdb_byte * | regs,
|  | const int | vfp_register_count
| ) |  |

Definition at line 102 of file aarch32-linux-nat.c.

References ARM_D0_REGNUM, ARM_FPSCR_REGNUM, and regcache_raw_collect().

Referenced by store_fpregs_to_thread(), and store_vfp_regs().

## ◆ aarch32_vfp_regcache_supply()

void aarch32_vfp_regcache_supply | ( | struct regcache * | regcache,
|  | gdb_byte * | regs,
|  | const int | vfp_register_count
| ) |  |

Definition at line 85 of file aarch32-linux-nat.c.

References ARM_D0_REGNUM, ARM_FPSCR_REGNUM, and regcache_raw_supply().

Referenced by fetch_fpregs_from_thread(), and fetch_vfp_regs().